
/*
 * Written by Scott Auge scott_auge@yahoo.com sauge@amduus.com
 * Copyright (c) 2001 Amduus Information Works, Inc.  www.amduus.com
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Amduus Information Works
 *      Inc. and its contributors.
 * 4. Neither the name of Amduus Information Works, Inc. nor the names of 
 *    its contributors may be used to endorse or promote products derived 
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY AMDUUS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AMDUUS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

&IF DEFINED(LOOKUPTOOLS_I) <> 1 &THEN
&GLOBAL-DEFINE LOOKUPTOOLS_I Y

DEF VAR RCSVersionLookupTools AS CHARACTER INIT "$Header: /home/appl/BlueDiamond/plussrc/RCS/LookupTools.i,v 1.1 2002/03/16 16:41:32 sauge Exp $" NO-UNDO.


/* This function will create a hyperlink, that when clicked, will place */
/* cValue into FieldName of the window using a button created by the    */
/* LookupButton() function.                                             */

FUNCTION AnswerHyperLink RETURNS CHARACTER 
(INPUT FieldName AS CHARACTER,
 INPUT cValue AS CHARACTER,
 INPUT cDescription AS CHARACTER):

  RETURN "<a href=~"#~""
       + " onclick=~'javascript:opener.document.forms[0]." 
       + FieldName + ".value=~"" + cValue + "~";window.close();~'>" 
       + cDescription + "</a> <br>".

END. /* FUNCTION SetAnswer () */

/* This function will create a button that when clicked, will bring up a */
/* pop-up window with the PageName URL.  From that page, one should use  */
/* GET-VALUE("FieldName") to determine the FieldName that is to be pop-  */
/* ulated with the answer (as generated by AnswerHyperLink()).           */

FUNCTION LookupButton RETURNS CHARACTER
(INPUT FieldName AS CHARACTER,
 INPUT PageName AS CHARACTER,
 INPUT cSessionID AS CHARACTER):

  RETURN "<input type=~"button~" name=~"Submit2~" value=~"Lookup~" "
       + " onclick=~"javascript:window.open(~'" 
       + PageName + "?SessionID=" + cSessionID + "&FieldName=" + FieldName + "~',"
       + "~'LookupWindow~',~'scrollbars=yes,width=600,height=600~')~">".

END. /* FUNCTION LookupButton */

&ENDIF
