
/*
 * Written by Scott Auge scott_auge@yahoo.com sauge@amduus.com
 * Copyright (c) 2001 Amduus Information Works, Inc.  www.amduus.com
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Amduus Information Works
 *      Inc. and its contributors.
 * 4. Neither the name of Amduus Information Works, Inc. nor the names of 
 *    its contributors may be used to endorse or promote products derived 
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY AMDUUS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AMDUUS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */


/*-----------------------------------------------------
 * ActivatePosition.p
 * Written by Scott Auge
 *
 * Un-Delete a Position from the system.
 *
 * Positions are not deleted - they are deactivated.  This is so we have data
 * referential integrity across other records that have users as part of the
 * data.  Proper for history of the data recorded by the system.
 *
 *-----------------------------------------------------
 */

DEF VAR RCSVersion AS CHARACTER INIT "$Header: /home/appl/srvexp/srcpub/api/records/RCS/ActivatePosition.p,v 1.2 2001/12/05 03:23:54 sauge Exp $" NO-UNDO.

DEF INPUT PARAMETER pPositionSeq   AS CHARACTER NO-UNDO.

DEF OUTPUT PARAMETER pError    AS CHARACTER NO-UNDO.

{api/Error.inc}
{Log.i}

{LogIt.i '"Begin Program"'}

IF pPositionSeq <> ? THEN

  FIND Position EXCLUSIVE-LOCK
  WHERE Position.PositionSeq = pPositionSeq
  NO-ERROR.

IF NOT AVAILABLE Position THEN DO:

  ASSIGN pError = {&NOUSER}.
  RETURN.

END.  /* NOT AVAILABLE SystemUser */

ASSIGN
Position.Active = YES.

ASSIGN
pError = {&NOERROR}.

