
/*
 * Written by Scott Auge scott_auge@yahoo.com sauge@amduus.com
 * Copyright (c) 2001 Amduus Information Works, Inc.  www.amduus.com
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Amduus Information Works
 *      Inc. and its contributors.
 * 4. Neither the name of Amduus Information Works, Inc. nor the names of 
 *    its contributors may be used to endorse or promote products derived 
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY AMDUUS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AMDUUS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */


/*-----------------------------------------------------
 * CreateContact.p
 * Written by Scott Auge
 *
 * Create a contact within the system.
 *
 * Currently oriented to the United States.
 *-----------------------------------------------------
 */

DEF VAR RCSVersion AS CHARACTER INIT "$Header: /home/appl/srvexp/srcpub/api/records/RCS/CreateContact.p,v 1.1 2003/03/05 22:55:48 sauge Exp sauge $" NO-UNDO.

DEF INPUT PARAMETER cEmail    AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER cFax      AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER cMobile   AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER cPager    AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER cPhone    AS CHARACTER NO-UNDO.


DEF OUTPUT PARAMETER cContactID AS CHARACTER NO-UNDO.
DEF OUTPUT PARAMETER pError     AS CHARACTER NO-UNDO.

{api/Error.inc}
{MakeID2.i}

CREATE Contact.

ASSIGN
Contact.Email    = cEmail
Contact.Fax      = cFax
Contact.Mobile   = cMobile
Contact.Pager    = cPager
Contact.Phone    = cPhone.

/* Defaults */

ASSIGN 
Contact.ContactID = MakeID2(10).

ASSIGN 
cContactID = Contact.ContactID
pError = {&NOERROR}.

